Bug 74118 - cad/qcad*: inapropriate installation paths
cad/qcad*: inapropriate installation paths
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Michael Reifenberger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-19 15:00 UTC by fmysh
Modified: 2004-11-25 16:35 UTC (History)
0 users

See Also:


Attachments
file.diff (261 bytes, patch)
2004-11-19 15:00 UTC, fmysh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fmysh 2004-11-19 15:00:54 UTC
	ports/cad/qcad installs resource files into
	/usr/local/share/qcad.
	But it is not where QCad searches for by default.

	QCad searches ${CWD}/qcad/, /usr/share/qcad/,
	/usr/X11R6/qcad/, /usr/X11R6/share/qcad/ and
	${HOME}/.qcad/, which are hard coded.
	Look at RS_System::getDirectoryList() in
	qcadlib/src/engine/rs_system.cpp.

Fix: Is it OK to move qcad* from LOCALBASE to X11BASE?

QTDIR?=                ${X11BASE}

+USE_X_PREFIX=  yes
 USE_QT_VER=    3
 USE_REINPLACE= yes
 USE_GMAKE=     yes



+USE_X_PREFIX=  yes
 USE_ZIP=       yes
 USE_REINPLACE= yes
 NO_BUILD=      yes--foGkI4YSGqKBwdO0gu8D1P7YxjLH5s8n7jRNuasd30scAkmu
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- cad/qcad/Makefile.orig       Fri Nov 19 22:34:17 2004
+++ cad/qcad/Makefile    Fri Nov 19 22:39:43 2004
@@ -23,6 +23,7 @@
How-To-Repeat: 
	When one launches QCad first time, he sees Welcom dialog
	box to selecet GUI and Command languages. But it has
	no items at all. It should have the language lists from
	/usr/local/share/qcad/qm/.

	This also happens when selecting [Editi]-
	[Application preferences] menu.

	ln -s /usr/local/share/qcad /usr/X11R6/share/qcad makes
	the list items appear.
Comment 1 Mark Linimon freebsd_committer 2004-11-20 07:34:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mr

Over to maintainer.
Comment 2 Michael Reifenberger freebsd_committer 2004-11-25 16:32:47 UTC
State Changed
From-To: open->closed

-commited. Thanks!